Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch.configs
Class ServiceRequest

    java.lang.Object
      org.deegree.portal.owswatch.configs.ServiceRequest

All Implemented Interfaces:
  Serializable

    public class ServiceRequest

extends Object
implements Serializable

Holds the information about a certain request of a certain service, which http methods, this request cn use and what are its htmlKeys

Version:
  $Revision: 20271 $, $Date: 2009-10-21 13:07:15 +0200 (Mi, 21. Okt 2009) $
Author:
  Moataz Elmasry, last edited by: $Author: jmays $
See Also:
  Serialized Form

Constructor Summary
`ServiceRequest(String name, String getSnippetPath, String postSnippetPath, boolean canPOST, boolean canGET, List<String> htmlKeys)` A constructor to instantate a class describing the service name and its corresponding html code that accepts specific paramters for this request

Method Summary
`List<String>` | `getHtmlKeys()`
`String` | `getHtmlText()`
`String` | `getName()`
`String` | `getPostRequest()` Reads an example xml file for a post request, will be used mainly for GetCapabilities. but its also possbible to assign it to any request type
`String` | `getValue()`
`boolean` | `isCanGET()`
`boolean` | `isCanPOST()`
`protected String` | `readFileToString(String filePath)` Reads the html snippet file and save it as a String variable to be used later by the DHTML

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRequest

    public ServiceRequest(String name,
                          String getSnippetPath,
                          String postSnippetPath,
                          boolean canPOST,
                          boolean canGET,
                          List<String> htmlKeys)
                   throws IOException

  A constructor to instantate a class describing the service name and its corresponding html code that accepts specific paramters for this request

  Parameters:
    `name` -
    `getSnippetPath` -
    `postSnippetPath` -
    `canPOST` -
    `canGET` -
    `htmlKeys` -
  Throws:
    `IOException`

Method Detail

### readFileToString

    protected String readFileToString(String filePath)
                               throws IOException

  Reads the html snippet file and save it as a String variable to be used later by the DHTML

  Parameters:
    `filePath` -
  Returns:
    String
  Throws:
    `IOException`

### getName

    public String getName()

  Returns:
    Request name, ex GetCapabilities

### getValue

    public String getValue()

  Returns:
    path to html code describing the parameters for this service

### isCanGET

    public boolean isCanGET()

  Returns:
    can send GET Requests

### isCanPOST

    public boolean isCanPOST()

  Returns:
    can send POST requests

### getHtmlText

    public String getHtmlText()

  Returns:
    String

### getHtmlKeys

    public List<String> getHtmlKeys()

  Returns:
    List of HTML keys

### getPostRequest

    public String getPostRequest()

  Reads an example xml file for a post request, will be used mainly for GetCapabilities. but its also possbible to assign it to any request type

  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org